Get New Assembly Orders
GET /api/v3/orders/newBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Assembly Orders · Specification doc ↗
Returns a list of all new assembly orders.
Label identifiers specified in the requiredMeta and optionalMeta fields in assembly orders only affects the ability to transfer a supply to delivery. If your item requires mandatory marking with identification means, you must specify all needed label identifiers whether it was received in requiredMeta or optionalMeta field (see 4.6 of the Offer).
We recommend adding all label identifiers received in the requiredMeta and optionalMeta fields to the assembly orders
Request limit per one seller account for FBS assembly orders, supplies, passes and auto-return settings methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV3OrdersNewResponse200 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
429 | Too many requests | object |
Structure 200:
ordersOrderNew[]— New assembly orders listaddressobject— Exact buyer's address for delivery, if applicable. Some of the fields may be empty due to the specifics of the addressfullAddressstring— Delivery addresslongitudenumber<float64>— Longitudelatitudenumber<float64>— Latitude
ddatestring— Planned delivery date of the order to the buyer. The field is displayed for assembly orders with over dimensional itemsODC,cargoType: 2sellerDatestring— Recommended delivery date forODCitems to sorting center or warehouse. The field is displayed for assembly orders with over dimensional itemsODC,cargoType: 2salePriceinteger<int64>— Seller price in the currency of sale, including seller discount, except the WB Club discount, multiplied by 100requiredMetastring[]— List of label identifiers need to be added to the assembly order to tranfer a supply with this assembly order to the deliveryoptionalMetastring[]— List of label identifiers that can to be added to the assembly order. A supply with the assembly order without these label identifiers can be transferred to the delivery, but label identifiers may be required, for example, when a customer returns a itemdeliveryTypestring=fbs— Delivery type: -fbs— Fulfillment By Seller (FBS)commentstring— Buyer's commentscanPricenumber<uint32>— Acceptance price in kopecks. Displayed after the actual acceptance of the order. For this method willnullalways be returnedorderUidstring— Transaction ID for assembly orders grouping. Orders in the same buyer's cart will have the sameorderUid.articlestring— Seller item numbercolorCodestring— Color code (for tinted items only)ridstring— Unique order ID. Note:ridcorresponds tosridin the responses of the methods: - Buyers Return Applications - Order Feed - Orders - Sales - Returns and Item Movement Report - Details for the Sales Reports by Report ID - Details for the Sales Reports by Period - Details for the Acquiring Expenses Reports by Report ID - Details for the Acquiring Expenses Reports by PeriodcreatedAtstring— Assembly order creation date (RFC3339)officesstring[]— List of offices where you should deliver the orderskusstring[]— List of SKUsidinteger<int64>— Assembly order IDwarehouseIdinteger<int64>— Seller warehouse ID where the assembly order was receivedofficeIdinteger<int64>— ID of the WB warehouse associated with the seller warehousenmIdinteger<int64>— WB item numberchrtIdinteger<int64>— Item size ID in WB systemspriceinteger<int64>— The price in the currency of sale, including all discounts except the amount from the WB Wallet, multiplied by 100. The currency code of the sale is in thecurrencyCodefieldfinalPriceinteger<int64>— The sum charged to the buyer in the currency of sale including all discounts, multiplied by 100. You can find a currency code in thecurrencyCodefield. Provided for informational purposes onlyconvertedPriceinteger<int64>— The price in the currency of the seller country including all discounts, except WB Wallet discount, multiplied by 100. Provided for informational purposes only.convertedFinalPriceinteger<int64>— The sum charged to the buyer in the currency of the seller country including all discounts, multiplied by 100. Provided for informational purposes onlycurrencyCodeinteger<ISO 4217>— Sale currency codeconvertedCurrencyCodeinteger<ISO 4217>— Currency code of the seller countrycargoTypeinteger<int64>=1|2|3— Type of cargo: -1— small-sized items -2— over dimensional cargo (ODC) -3— dimensional cargo+ (CD+)crossBorderTypeinteger<int32>=0|1— Assembly order type: -0— Non-Cross-Border -1— Cross-BorderisZeroOrderboolean— Indicator of an order for a item with zero inventory: -false— the order is made for a item with a non-zero inventory -true— the order is made for a item with zero inventory. Such an order can be canceled without a cancellation feeisPickupPointShipmentAllowedboolean— Whether you can dispatch the order to a pickup point: -false— no -true— yesoptionsobject— Order optionsisB2Bboolean— Indicator of a B2B sale: -false— not B2B sale -true— B2B sale
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.get_v3_orders_new()
print(result)import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.getV3OrdersNew();
console.log(data);import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.GetV3OrdersNew(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.getV3OrdersNew());use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->getV3OrdersNew());#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.GetV3OrdersNew().Тело);using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.GetV3OrdersNew());use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::get_v3_orders_new(&cfg).await;
println!("{:#?}", result);
}